using System;

internal sealed class Delegate826 : MulticastDelegate
{
	public extern string Invoke(ref ulong ulong_0);

	public static string smethod_0(ref ulong ulong_0, Delegate826 delegate826_1)
	{
		return delegate826_1(ref ulong_0);
	}

	public extern Delegate826(object object_0, IntPtr intptr_0);

	static Delegate826()
	{
		Class10.smethod_13(typeof(Delegate826).TypeHandle);
	}

	internal static Delegate826 delegate826_0;
}
